Bug 966307 - Can't clone lxc container
Can't clone lxc container
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt-sandbox (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 22:36 EDT by zhe peng
Modified: 2014-06-13 05:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: libvirt-sandbox-0.5.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:31:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhe peng 2013-05-22 22:36:30 EDT
Description
when clone a lxc container, get error.

Versions
libvirt-1.0.5-2.el7.x86_64
libvirt-sandbox-0.2.0-1.el7.x86_64

Steps:
1:create and start a lxc container
#virt-sandbox-service create -C -u httpd.service http1
#virt-sandbox-service start http1
2:clone container
# virt-sandbox-service clone http1 clonebox
Created sandbox container dir /var/lib/libvirt/filesystems/clonebox
Traceback (most recent call last):
  File "/usr/bin/virt-sandbox-service", line 1169, in <module>
    args.func(args)
  File "/usr/bin/virt-sandbox-service", line 956, in clone
    fd = open(container.get_unit_path())
AttributeError: Container instance has no attribute 'get_unit_path'

Expected results:
clone container successfully

Actual results:
see step.
Comment 2 Alex Jia 2013-05-24 02:13:47 EDT
Patch on upstream:
https://www.redhat.com/archives/libvir-list/2013-May/msg01738.html
Comment 3 zhe peng 2013-08-06 23:12:47 EDT
verify with:
libvirt-sandbox-0.5.0-1.el7.x86_64
libvirt-1.1.1-2.el7.x86_64
kernel-3.10.0-6.el7.x86_64

step:
1:create and start a lxc container
#virt-sandbox-service create -C -u httpd.service apache01
# virsh -c lxc:/// start apache01
Domain apache01 started

2:clone container
# virt-sandbox-service clone apache01 clonebox
Created sandbox container dir /var/lib/libvirt/filesystems/clonebox
Created unit file /etc/systemd/system/clonebox_sandbox.service
Created sandbox config /etc/libvirt-sandbox/services/clonebox/config/sandbox.cfg

# virsh -c lxc:/// list --all
 Id    Name                           State
----------------------------------------------------
 7048  apache01                       running
 -     clonebox                       shut off

verification passed. move to verified.
Comment 4 Alex Jia 2013-08-07 23:30:46 EDT
(In reply to zhe peng from comment #3)
> step:
> 1:create and start a lxc container
> #virt-sandbox-service create -C -u httpd.service apache01

BTW, it's also okay for cloning a shutoff status container.
Comment 6 Ludek Smid 2014-06-13 05:31:42 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.